<h2 class="ServicesTitle"><img _ngcontent-serverapp-c26="" alt="logo" class="img-fluid pr-2 titleleftimg" src=" ../../assets/images/icn_leaveticket request.png"> Leave ticket request </h2>
<div class="row justify-content-center">
    <div class="col-sm-6">
        <div class="card formFieldsBlock">
            <div class="col-sm-12">
                <form [formGroup]="leaveticreqForm" #formEl="ngForm">
                    <div class="row">
                        <div class="col-sm-12">
                            <mat-form-field appearance="standard">
                                <mat-label>Ticket Due</mat-label>

                                <input matInput (click)="picker1.open()" [matDatepicker]="picker1" formControlName="DueDate" required>
                                <mat-datepicker-toggle matSuffix [for]="picker1"></mat-datepicker-toggle>
                                <mat-datepicker #picker1></mat-datepicker>
                                <mat-error *ngIf="leaveticreqForm.controls['DueDate'].errors?.required &&
                  leaveticreqForm.controls['DueDate'].touched">
                                    Please Select Ticket Due.
                                </mat-error>
                            </mat-form-field>
                        </div>
                        <div class="col-sm-12">
                            <mat-form-field appearance="standard">
                                <mat-label>Number Of Tickets</mat-label>
                                <mat-select formControlName="NoofTc" required>
                                    <mat-option value="1">1</mat-option>
                                    <mat-option value="2">2</mat-option>
                                    <mat-option value="3">3</mat-option>
                                    <mat-option value="4">4</mat-option>
                                </mat-select>
                                <mat-error *ngIf="leaveticreqForm.controls['NoofTc'].errors?.required &&
                  leaveticreqForm.controls['NoofTc'].touched">
                                    Please Select Number Of Tickets.
                                </mat-error>
                            </mat-form-field>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-sm-12">
                            <mat-form-field class="email-field" appearance="standard">
                                <mat-label>Amount</mat-label>
                                <input matInput type="number" formControlName="Amount" required autocomplete="off" />
                                <mat-error *ngIf="leaveticreqForm.controls['Amount'].errors?.required &&
                  leaveticreqForm.controls['Amount'].touched">
                                    Please Enter Amount.
                                </mat-error>
                            </mat-form-field>
                        </div>

                        <div class="col-sm-12">
                            <mat-form-field class="email-field" appearance="standard">
                                <mat-label>Notes</mat-label>
                                <textarea matInput maxlength="120" formControlName="Notes" required></textarea>
                                <mat-error *ngIf="leaveticreqForm.controls['Notes'].errors?.required &&
                  leaveticreqForm.controls['Notes'].touched">
                                    Please Enter Notes.
                                </mat-error>
                            </mat-form-field>
                        </div>
                    </div> <br>
                    <section class="po-list">
                            <ul>
                                <li *ngFor="let item of familyArr.controls; let i = index" [formGroup]="item">
                                    <span class="s-no">{{i+1}}</span>
                                    <mat-form-field>
                                      <mat-label>ID</mat-label>
                                      <input matInput placeholder="ID" formControlName="key" required >
                                    </mat-form-field>
                                    <mat-form-field>
                                      <mat-label>Name</mat-label>
                                      <input matInput placeholder="Name" formControlName="value" required>
                                    </mat-form-field>
                                    <div class="button-item">
                                        <button mat-mini-fab class="add-remove-item remove" (click)="deleteDialog(i)">-</button>
                                    </div>
                              </li>
                            </ul>
                          </section>
                          <div class="button-item-add">
                            <span><button mat-mini-fab class="add-remove-item add" (click)="addItem($event)">+</button></span> <span
                              class="text-btn">Add Family</span>
                          </div>
                    <div class="text-center">
                        <button mat-raised-button (click)="onSubmit()" [disabled]="!leaveticreqForm.valid || familyArr.length == 0" class="submit-btn"> Submit</button>
                        <button type="button" mat-raised-button class="submit-btn" (click)="cancel()">Cancel</button>
                    </div>

                </form>
            </div>
        </div>
    </div>
</div>